Token management
Log out the current user
Revoke the user’s active authentication and refresh tokens, effectively logging them out of the system.
This should be used by regular users. For revoking tokens issued to other clients or sessions, system administrators should use the revokeTokens endpoint.
POST
/
auth
/
me
/
logout
Log out the current user
curl --request POST \
--url https://api.guile.app/auth/me/logout \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guile.app/auth/me/logout"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guile.app/auth/me/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0190f0c0-cccc-7ccc-8ccc-cccccccccccc",
"type": "https://docs.guile.app/problems/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Sign in before logging out.",
"occurredAt": "2026-08-01T16:00:00.000Z"
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Response
No Content. The operation succeeded but returned no response body.
Was this page helpful?
⌘I
Log out the current user
